<?xml version="1.0" encoding="utf-8"?>
<resources xmlns:tools="http://schemas.android.com/tools">

    <declare-styleable name="ProtoImageView" tools:ignore="ResourceName">
        <attr name="src" format="reference" />
        <attr name="scaleType">
            <enum name="fitXY" value="0" />
            <enum name="center" value="1" />
            <enum name="centerCrop" value="2" />
            <enum name="centerInside" value="3" />
        </attr>
        <attr name="roundRadius" format="dimension" />
        <attr name="isCircle" format="boolean" />
    </declare-styleable>


    <declare-styleable name="CustomTitleBar" tools:ignore="ResourceName">
        <attr name="titleText" format="string"/>
        <attr name="titleTextColor" format="color"/>
        <attr name="titleTextSize" format="dimension"/>
        <attr name="leftIcon" format="reference"/>
        <attr name="leftIconVisible" format="boolean"/>
        <attr name="titleBarBackground" format="color|reference"/>
        <attr name="rightButtonSpacing" format="dimension"/>
    </declare-styleable>

    <declare-styleable name="CircleProgressBar" tools:ignore="ResourceName">
        <!-- 进度条颜色 -->
        <attr name="progressColor" format="color|reference" />
        <attr name="backgroundColor" format="color|reference" />
        <attr name="progressWidth" format="dimension" />

        <!-- 中间图标 -->
        <attr name="centerIcon" format="reference" />

        <!-- 进度相关 -->
        <attr name="maxProgress" format="integer" />
        <attr name="currentProgress" format="integer" />
        <attr name="startAngle" format="integer" />
    </declare-styleable>


    <declare-styleable name="AutoRippleView" tools:ignore="ResourceName">
        <!-- 按钮基础颜色 -->
        <attr name="arv_backgroundColor" format="color" />
        <!-- 波纹颜色 -->
        <attr name="arv_rippleColor" format="color" />
        <!-- 波纹动画持续时间（毫秒） -->
        <attr name="arv_rippleDuration" format="integer" />
        <!-- 波纹之间的间隔时间（毫秒） -->
        <attr name="arv_rippleInterval" format="integer" />
        <!-- 最大波纹半径（相对于按钮宽度的比例，0.0-1.0） -->
        <attr name="arv_maxRippleRadius" format="float" />
        <!-- 按钮圆角半径 -->
        <attr name="arv_cornerRadius" format="dimension" />
        <!-- 按钮文字 -->
        <attr name="arv_text" format="string" />
        <!-- 按钮文字颜色 -->
        <attr name="arv_textColor" format="color" />
        <!-- 按钮文字大小 -->
        <attr name="arv_textSize" format="dimension" />
    </declare-styleable>

</resources>